2015-06-12  Esa Peuha  <esa.peuha@gmail.com>

	* .cvsignore, games/.cvsignore, lib/.cvsignore, tests/.cvsignore:
	  New files.

2015-06-09  Esa Peuha  <esa.peuha@gmail.com>

	* lib/table.c: Remove unneeded include of X11/xpm.h

2015-06-08  Esa Peuha  <esa.peuha@gmail.com>

	* games/Makefile.am: Fix spider-img.c dependencies.
	* games/Makefile.in: Update.
	* lib/cards.h: Remove fake definition of struct image_list and
	  declarations of appimglib_imagelib and register_imagelib
	* games/canfield.c, games/golf.c, games/mastermind.c,
	  games/merlin.c, games/minesweeper.c, games/pegged.c,
	  games/taipedit.c, tests/test6.c: Include imagelib.h
	* lib/xwin.c: Remove redundant declaration of pixel_for
	* lib/xwin.h: Declare help_background and table_background
	* lib/help.c: Remove declarations of help_background and
	  table_background

2015-06-07  Esa Peuha  <esa.peuha@gmail.com>

	* games/spider.c, lib/imagelib.h: Remove declaration of nonexisting
	  function get_image_set_display_type
	* lib/table.h: Add everything defined in table.c
	* lib/cards.h: Remove things now in table.h
	* games/canfield.c, games/freecell.c, games/golf.c,
	  games/mastermind.c, games/merlin.c, games/minesweeper.c,
	  games/pegged.c, games/solitaire.c, games/spider.c,
	  games/taipedit.c, games/taipei.c, games/taipeilib.c,
	  games/thornq.c, lib/funcs.c, lib/help.c, lib/imagelib.c,
	  lib/stack.c, lib/table.c, lib/xwin.c, tests/penguins.c,
	  tests/test1.c, tests/test3.c, tests/test4.c, tests/test5.c,
	  tests/test6.c: Update included files.

2015-06-06  Esa Peuha  <esa.peuha@gmail.com>

	* games/canfield.c, games/golf.c, games/mastermind.c, games/merlin.c,
	  games/minesweeper.c, games/pegged.c, games/taipedit.c,
	  games/taipei.c, games/taipeilib.c, lib/help.c, lib/stack.c:
	  Remove unneeded extern declarations.

2015-06-05  Esa Peuha  <esa.peuha@gmail.com>

	* games/thornq.c: Fix undo bug.
	* lib/stack.c (stack_flip_move_stack): Fix undo bug.

2015-06-04  Esa Peuha  <esa.peuha@gmail.com>

	* games/solitaire.c (app_options): Mark non-static so that command
	  line options work.
	* lib/stack.c (stack_fan_*): Mark variables static.
	* lib/table.c: Remove unused extern declarations of stack_fan_*
	* games/golf.c: Replace reference to stack_fan_down with call to
	  stack_get_fans.
	* games/spider.c, games/thornq.c: Don't pass pointers to unused
	  variables to stack_get_fans.

2015-06-03  Esa Peuha  <esa.peuha@gmail.com>

	* games/freecell.c: fix display bug.
	* lib/cards.h, lib/stack.c (stack_flip_move_stack): New function.
	* games/solitaire.c, games/thornq.c: Use stack_flip_move_stack
	* games/spider.c: Use stack_flip_move_stack
	* docs/toolkit.html: Document stack_flip_move_stack

2015-06-02  Esa Peuha  <esa.peuha@gmail.com>

	* lib/make-imglib.c, lib/xwin.c: Change png_ptr->jmpbuf to
	  png_jmpbuf(png_ptr)
	* lib/xwin.c: Change voidp to png_voidp
	* lib/help.c, lib/imagelib.c, lib/stack.c, lib/table.c, lib/xwin.c:
	  Mark functions and variables static.
	* games/golf.c: fix display bug.

2015-05-31  Esa Peuha  <esa.peuha@gmail.com>

	* INSTALL, config.guess, config.sub, depcomp, install-sh,
	  missing, mkinstalldirs: Update.
	* lib/make-imglib.c (tokenize): Return NULL instead of 0 or
	  nothing.
	* lib/xwin.c (xwin_nextevent): Ignore spurious MotionNotify events.
	* lib/xwin.c (PropMwmHints): Change ints to longs for 64-bit support.

2015-05-28  Esa Peuha  <esa.peuha@gmail.com>

	* aclocal.m4: Regenerate with aclocal 1.14.1
	* games/Makefile.am, lib/Makefile.am, tests/Makefile.am:
	  Change INCLUDES to AM_CPPFLAGS.
	* lib/Makefile.am: Change make-imglib to make-imglib$(EXEEXT)
	  and text2c to text2c$(EXEEXT).
	* compile: New file.
	* Makefile.in, games/Makefile.in, lib/Makefile.in,
	  tests/Makefile.in: Regenerate with automake 1.14.1
	* configure: Regenerate with autoconf 2.69
	* ltmain.sh: Regenerate with libtool 2.4.2

2013-01-12  Esa Peuha  <esa.peuha@gmail.com>

	* lib/stack.c (struct Undo): Change members.
	(stack_note_undo): Change parameters.
	(stack_undo): Reimplement.
	* lib/stack.c (stack_move_cards): Change parameters.
	* lib/cards.h: Change declaration.
	* docs/toolkit.html: Document it.
	* games/freecell.c, games/solitaire.c,
	  games/thornq.c, tests/test4.c: Update.
	* lib/stack.c (stack_drop): Add parameter.
	* lib/cards.h: Change declaration.
	* docs/toolkit.html: Document it.
	* games/canfield.c, games/freecell.c, games/solitaire.c,
	  games/spider.c, games/thornq.c, tests/test5.c: Update.
	* lib/stack.c (stack_animate): Add parameter.
	* lib/cards.h: Change declaration.
	* docs/toolkit.html: Document it.
	* games/canfield.c, games/freecell.c, games/solitaire.c,
	  games/spider.c, games/thornq.c: Update.

2013-01-11  Esa Peuha  <esa.peuha@gmail.com>

	* lib/stack.c (stack_flip_stack): Reimplement.
	* lib/cards.h: Change declaration.
	* docs/toolkit.html: Document it.
	* games/canfield.c, games/freecell.c, games/golf.c,
	  games/solitaire.c, games/spider.c, games/thornq.c: Update.
	* lib/stack.c (stack_flip_card): Reimplement.
	* lib/cards.h: Change declaration.
	* docs/toolkit.html: Document it.
	* games/canfield.c, games/freecell.c, games/golf.c,
	  games/solitaire.c, games/spider.c, games/thornq.c: Update.

2013-01-06  Esa Peuha  <esa.peuha@gmail.com>

	* lib/stack.c (stack_flip_cards): New function.
	* lib/cards.h: Declare it.
	* docs/toolkit.html: Document it.
	* lib/stack.c (stack_move_card): New function.
	* lib/cards.h: Declare it.
	* docs/toolkit.html: Document it.
	* games/solitaire.c, games/spider.c, games/thornq.c: Use it.

2013-01-03  Esa Peuha  <esa.peuha@gmail.com>

	* games/spider.c (key): Call clear_arrows before stack_undo.
	* lib/make-imglib.c (main): Print file name instead of null file
	pointer if fopen fails.

2012-03-24  DJ Delorie  <dj@delorie.com>

	* configure.in : ACE 1.4 release
	* configure: regenerated.

2012-03-24  Jari Aalto <jari.aalto@cante.net>

	* Debian mega-patch

2008-04-19  Eric Bachalo  <ebachalo@redhat.com>

	* games/spider.c: Implementation of solitaire game of spider.
	* games/spider.html: Help for solitaire game of spider.
	* games/spider.png: Splash screen for solitaire game of spider.
	* games/Makefile.am: Added Spider build info. 
	* desktop/spider.desktop: Solitaire desktop file.
	* Makefile.in: regenerated (in fedora 8)
	* aclocal.m4: regenerated (in fedora 8)
	* configure: regenerated (in fedora 8)
	* games/Makefile.in: regenerated (in fedora 8)
	* lib/Makefile.in: regenerated (in fedora 8)
	* tests/Makefile.in: regenerated (in fedora 8)

2004-06-13  Thimo Neubauer  <thimo@riff.netz>

	* games/thornq.c: Applied patch from Seneca Cunningham so that
	double clicking on facedown cards doesn't move them like faceup
	cards

2003-02-11  Thimo Neubauer  <thimo@debian.org>

	* games/mastermind.c (key): Don't use 'r' for restart,
	as it's needed for "red".

2002-08-30  Thimo Neubauer  <thimo@debian.org>

        * games/solitaire.c: abort dragging if another button is clicked
	
2002-04-19  Thimo Neubauer  <thimo@debian.org>

	* lib/xwin.c (xwin_init): Check for no DISPLAY.
	* lib/xwin.h (xwin_init): Return int.
	* lib/table.c (init_ace): Return if no DISPLAY.

2002-04-19  DJ Delorie  <dj@delorie.com>

	* games/solitaire.c (double_click): Don't move cards twice
	from the same stack.

2001-12-07  DJ Delorie  <dj@redhat.com>

	* games/solitaire.c (double_click): Prefer moving to a maincell
	over moving to an outcell.

2001-09-21  DJ Delorie  <dj@delorie.com>

	* lib/cards.h (register_imagelib): Declare.
	(appimglib_imagelib): Declare.
	* lib/imagelib.h: Likewise.
	* lib/imagelib.c (register_iamgelib): Make public.
	* lib/make-imglib.c (dump_images): Remove auto-register feature.
	* lib/table.c: Manually register image libs.
	* games/*.c: Likewise.
	* test/test6.c: Likewise.

	* lib/funcs.h: New, define callback pointers.
	* lib/funcs.c: New, provide default callbacks.
	* lib/table.c: Accept list of callbacks in init_ace, and use
	them.
	* lib/cards.h: Define FunctionMapping struct.
	* lib/Makefile.am: Build funcs.o, remove most table_*.c.
	* games/*.c: Register callbacks instead of just providing them.
	* tests/*.c: Likewise.
	* lib/table_*.c: Remove.

2001-08-31  Brian Rater  <brater@tiac.net>

	* games/solitaire.c: Add vegas rules and scoring options
	(-vegas, -flip3s) and allow auto-move to be disabled
	(-noauto).

2001-05-06  DJ Delorie  <dj@delorie.com>

	* Version 1.2 released.

2001-05-06  DJ Delorie  <dj@delorie.com>

	* lib/table.c (init_ace): use strtol instead of atoi.
	* lib/help.c (help_init): Use pixel_for instead of
	{White,Black}Pixel
	* lib/xwin.h: Support alternate visuals.  Detect Agenda X server
	vs other StaticGray servers.
	(pixel_for): Make global for help_init().  Support PseudoColor,
	GrayScale, and StaticColor.

	* lib/Makefile.am: Add table_rs.c.
	* lib/Makefile.in: Regenerate.
	* lib/cards.h: Split init_table into init_ace and init_table,
	so we can check the display size before selecting a table
	size.  Add command line option support.  Add resize support.
	* lib/help.c: Scroll menus as needed.  Support click on screen
	to scroll.  Support key scrolling.  Support resizing.
	* lib/images.in: Replace back with back-tile.
	* lib/table.c: Split init_table into init_ace and init_table.
	Add command-line option support.  Add width/height options.
	Limit table to display size.  Support resizing.
	(card_synth2): Tweak kqj display.
	(card_synth): Make sure cards are big enough to show suits.
	(back_synth): New.
	* lib/xwin.c: Support -rotate (experimental).  Split init_xwin
	into xwin_init and xwin_create.  Support resizing.
	* lib/xwin.h: Split init/create.
	* lib/stack.c: Support resizing.
	(stack_set_card_size): New.
	(stack_get_card_size): New.
	(stack_get_fans): New.
	* lib/table_rs.c: New, catch resize if not supported.
	* lib/png/a-k.2.png: New, larger.
	* lib/png/back-tile.png: New, for building face-down cards.
	* lib/png/suits.26.png: New, larger.

	* games/canfield.c: Support new init API.
	* games/freecell.c: Support new init API.  Support resizing.
	Add more keys.
	* games/golf.c: Support new init API.
	* games/mastermind.c: Support new init API.
	* games/merlin.c: Support new init API.
	* games/minesweeper.c: Support new init API.
	* games/pegged.c: Support new init API.
	* games/solitaire.c: Support new init API.  Support resizing.
	Add more keys.  Support spacebar as double click.  Enhance
	auto-play.
	* games/taipedit.c: Support new init API.
	* games/taipei.c: Support new init API.
	* games/thornq.c: Support new init API.  Support resizing.

	* tests/penguins.c: Support new init API.
	* tests/test1.c: Support new init API.
	* tests/test3.c: Support new init API.
	* tests/test4.c: Support new init API.
	* tests/test5.c: Support new init API.
	* tests/test6.c: Support new init API.

2001-04-08  DJ Delorie  <dj@delorie.com>

	* games/solitaire.c (double_click): Allow moves to one of multiple
	possible places; choose to move more cards, else to a shorter
	stack.

2001-04-07  DJ Delorie  <dj@delorie.com>

	* lib/xwin.c (imggc): new, use separate GC for building synthetic
	images (else the clipping gets in the way).
	(put_image): Use imggc if the dest isn't the screen.
	(fill_image): Ditto.

	* games/freecell.html: Remove reduntand copyright notice.
	* games/golf.html: Ditto.
	* games/mastermind.html: Ditto.
	* games/merlin.html: Ditto.
	* games/minesweeper.html: Ditto.
	* games/pegged.html: Ditto.
	* games/solitaire.html: Ditto.
	* games/taipedit.html: Ditto.
	* games/taipei.html: Ditto.
	* games/thornq.html: Ditto.

1999-02-05  DJ Delorie  <dj@delorie.com>

	* games/taipedit.html: fix img references

1999-01-31  DJ Delorie  <dj@delorie.com>

	* Version 1.1 released

1998-12-18  DJ Delorie  <dj@delorie.com>

	* games/thornq.c: new game from Margin Thornquist, previously
	"unnamed"
	* lib/stack.c (stack_animate): switched to time-based algorithm,
	so now the animation speed is constant and requires much less CPU.
	* Makefile.am: All new.  Converted to GNU build style.
	* configure.in: ditto

Sat Aug  1 00:29:10 1998  DJ Delorie  <dj@delorie.com>

	* games/freecell.c (double_click_1): add double-click options,
	tie in with space bar also.

Fri Jul 31 23:59:35 1998  DJ Delorie  <dj@delorie.com>

	* lib/stack.c (stack_animate): bug in target x,y

Sun Jul 26 21:54:25 1998  DJ Delorie  <dj@delorie.com>

	* games/solitaire.c (auto_move_stack): check other same-colored
	stack also
	* games/freecell.c (auto_move_stack): ditto

Wed Jul  1 15:11:53 1998  DJ Delorie  <dj@delorie.com>

	* games/Makefile (merlin): new game "merlin"

	* Makefile (tar): new perl script to build distributions; tar
 	files now include ace-$ver subdirectory.

Mon Jun 29 22:12:18 1998  DJ Delorie  <dj@delorie.com>

	* lib/table_rn.c: new, since some platforms have lousy rand().
  	This one auto-initializes also.

Tue Jun 23 18:33:46 1998  DJ Delorie  <dj@delorie.com>

	* games/freecell.c (check_for_end_of_game): even if a stack is
 	sorted, you might be able to win anyway, so take that logic out.

Fri Jun 12 19:48:50 1998  DJ Delorie  <dj@delorie.com>

	* games/freecell.c (check_for_end_of_game): check for manually
 	moving a card to the outcells

	* games/pegged.c (click): When clicking for the first time in the
 	triangle versions, don't "create" a hole - you can only click on a
 	peg.

	* games/minesweeper.c (drop): don't allow clicking on a flag

Sat Jun  6 10:15:11 1998  DJ Delorie  <dj@delorie.com>

	* Initial version released.

